Bug 509647 - [QLogic 5.4 bug] qlge - testing fixes part 3.
[QLogic 5.4 bug] qlge - testing fixes part 3.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: rc
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: OtherQA
Depends On:
Blocks: 460170
  Show dependency treegraph
 
Reported: 2009-07-04 10:17 EDT by Marcus Barrow
Modified: 2009-09-03 09:51 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:29:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qlge - p13 -> p17 (245.82 KB, patch)
2009-07-05 14:56 EDT, Marcus Barrow
no flags Details | Diff
qlge - p13 -> p19 (92.85 KB, patch)
2009-07-07 23:45 EDT, Marcus Barrow
no flags Details | Diff
p13 -> p20? further review fixes (91.67 KB, patch)
2009-07-09 13:41 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2009-07-04 10:17:45 EDT
During testing of the qlge driver by QLogic and partners, several important issues have been found and fixed.

These fixes have been tested by QLogic and it's partners.

 1.       Msix support for ppc fix
 2.       Core dump on mailbox command timeout during power up
 3.       Eeh for ppc fix
 4.       Reduce qlge messages on startup
 5.       Remove ql_display_mb_sts()
 6.       Fix the shift issue in ql_own_firmware()
Comment 1 Marcus Barrow 2009-07-05 14:56:02 EDT
Created attachment 350548 [details]
qlge - p13 -> p17
Comment 2 RHEL Product and Program Management 2009-07-06 09:03:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Marcus Barrow 2009-07-07 23:45:18 EDT
Created attachment 350890 [details]
qlge - p13 -> p19
Comment 6 Marcus Barrow 2009-07-09 13:41:34 EDT
Created attachment 351109 [details]
p13 -> p20? further review fixes


fixes from review, including a locking fix in ql_mailbox_command() where we released a mutex and then enabled interrupts.
Comment 7 Don Zickus 2009-07-14 16:58:12 EDT
in kernel-2.6.18-158.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 10 Chris Ward 2009-08-03 11:47:34 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 5 Released! ~~

RHEL 5.4 Snapshot 5 is the FINAL snapshot to be release before RC. It has been 
released on partners.redhat.com. If you have already reported your test results, 
you can safely ignore this request. Otherwise, please notice that there should be 
a fix available now that addresses this particular issue. Please test and report 
back your results here, at your earliest convenience.

If you encounter any issues while testing Beta, please describe the 
issues you have encountered and set the bug into NEED_INFO. If you 
encounter new issues, please clone this bug to open a new issue and 
request it be reviewed for inclusion in RHEL 5.4 or a later update, if it 
is not of urgent severity. If it is urgent, escalate the issue to your partner manager as soon as possible. There is /very/ little time left to get additional code into 5.4 before GA.

Partners, after you have verified, do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other 
appropriate customer representative.
Comment 11 Chris Ward 2009-08-05 12:41:42 EDT
Marcus, can you confirm this issues has been resolved in the RHEL 5.4 beta snapshots?
Comment 12 Marcus Barrow 2009-08-10 15:38:27 EDT
Verified in 2.6.18-162.
Comment 14 errata-xmlrpc 2009-09-02 04:29:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.